org.eclipse.emf.compare.ide.ui.mergeresolution

## Class MergeResolutionManager

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.mergeresolution.MergeResolutionManager

    public class MergeResolutionManager
    extends Object

This class manages the detection and handling of merge resolution events. Merge resolution happens when all merge conflicts are resolved and the users saves the merge result.

Since:
  4.2

### Field Summary

Fields
`static String` `EXTENSION_POINT` The name of the extension point.

### Constructor Summary

Constructors
Constructor and Description
`MergeResolutionManager(MergeResolutionListenerRegistry registry)` Default constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handleFlush(Object input)` Called when a merge result view's flush method is called.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EXTENSION_POINT

    public static final String EXTENSION_POINT

The name of the extension point.

See Also:
  Constant Field Values

### Constructor Detail

#### MergeResolutionManager

    public MergeResolutionManager(MergeResolutionListenerRegistry registry)

Default constructor.

Parameters:
  `registry` - The `MergeResolutionListenerRegistry` instance to manage

### Method Detail

#### handleFlush

    public void handleFlush(Object input)

Called when a merge result view's flush method is called. This indicates that the user has saved the contents, but does not necessarily mean that all conflicts are resolved.

Parameters:
  `input` - The content of the merge resolution being flushed. This must be a `TreeNodeCompareInput` object.